﻿$ErrorActionPreference = 'Stop';

$softVersion = '5.8.3'
$shortVersion = '5.8.3'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-32.zip"
$url64      = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-64.zip"
$altUrl        = "https://sourceforge.net/projects/mrviewer/files/archive/v${shortVersion}/${packageName}-v${shortVersion}-Windows-32.zip"
$altUrl64      = "https://sourceforge.net/projects/mrviewer/files/archive/v${shortVersion}/${packageName}-v${shortVersion}-Windows-64.zip"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
	$hasUrl = Test-URL $url
	if ( -Not $hasUrl )
	{
		Write-Host "No URL"
        	$url = $altUrl;
	}
}
Else
{
	$programFiles = $env:ProgramW6432
	$hasUrl = Test-URL $url64
	if ( -Not $hasUrl )
	{
		Write-Host "No URL64"
        	$url64 = $altUrl64;
	}
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $programFiles
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'mrViewer*'

  checksum      = '7395B76ED293C58195653CDE944C671BF7E57C0EA21E32A31C1E555581071C1B'
  checksumType  = 'sha256'
  checksum64    = 'F5B6F6E20506F14A41D497A01A9C0FB8AC157694904044FB32089E8DAEDA29EC'
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = ''
}

Install-ChocolateyZipPackage @packageArgs

$target = Join-Path $programFiles "${packageName}-v${shortVersion}-Windows-${osBitness}/bin"
Install-ChocolateyPath -PathToInstall "${target}" -PathType 'Machine'


$DesktopPath = [Environment]::GetFolderPath("CommonDesktopDirectory")
$StartMenu = [Environment]::GetFolderPath("CommonStartMenu")
$StartPath = Join-Path "$StartMenu" "Programs"

Install-ChocolateyShortcut -ShortcutFilePath "${DesktopPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -TargetPath "${target}/${packageName}.exe"

Install-ChocolateyShortcut -shortcutFilePath "${StartPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -targetPath "${target}/${packageName}.exe"
